Create Wallet
Provision a new wallet for the customer on the requested chain.
curl -X POST "https://sandbox.rasto.co/api/customers/example_string/wallets" \
-H "Content-Type: application/json" \
-H "Api-Key: example_string" \
-H "Api-Version: example_string" \
-H "Idempotency-Key: example_string" \
-H "Api-Key: YOUR_API_KEY" \
-d '{
"chain": "example_string",
"address_wallet_id": "123 Main St",
"name": "John Doe",
"partner_reference_id": "example_string"
}'
import requests
import json
url = "https://sandbox.rasto.co/api/customers/example_string/wallets"
headers = {
"Content-Type": "application/json",
"Api-Key": "YOUR_API_KEY",
"Api-Version": "example_string",
"Idempotency-Key": "example_string"
}
data = {
"chain": "example_string",
"address_wallet_id": "123 Main St",
"name": "John Doe",
"partner_reference_id": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://sandbox.rasto.co/api/customers/example_string/wallets", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Api-Key": "YOUR_API_KEY",
"Api-Version": "example_string",
"Idempotency-Key": "example_string"
},
body: JSON.stringify({
"chain": "example_string",
"address_wallet_id": "123 Main St",
"name": "John Doe",
"partner_reference_id": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"chain": "example_string",
"address_wallet_id": "123 Main St",
"name": "John Doe",
"partner_reference_id": "example_string"
}`)
req, err := http.NewRequest("POST", "https://sandbox.rasto.co/api/customers/example_string/wallets", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Api-Key", "example_string")
req.Header.Set("Api-Version", "example_string")
req.Header.Set("Idempotency-Key", "example_string")
req.Header.Set("Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://sandbox.rasto.co/api/customers/example_string/wallets')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Api-Key'] = 'example_string'
request['Api-Version'] = 'example_string'
request['Idempotency-Key'] = 'example_string'
request['Api-Key'] = 'YOUR_API_KEY'
request.body = '{
"chain": "example_string",
"address_wallet_id": "123 Main St",
"name": "John Doe",
"partner_reference_id": "example_string"
}'
response = http.request(request)
puts response.body
{}
{
"error": {
"kind": "example_string",
"code": "example_string",
"message": "example_string",
"param": "example_string",
"request_id": "example_string"
}
}
{
"error": {
"kind": "example_string",
"code": "example_string",
"message": "example_string",
"param": "example_string",
"request_id": "example_string"
}
}
/api/customers/{customer_id}/walletsTarget server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
The /api contract to serve this request under, as an ISO date. Omit to use the default. Omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.
Unique per request; a retry with the same key replays the stored status and body.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Headers
The /api contract to serve this request under, as an ISO date. Omit to use the default. Omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.
Unique per request; a retry with the same key replays the stored status and body.